=== debian/changelog ===
swift (2.19.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Ondřej Nový <onovy@debian.org>  Tue, 26 Feb 2019 11:53:35 +0100

swift (2.19.0-6) unstable; urgency=medium

  * Object decryption fix patch:
    - Add a warning in the logs if path is different in
      put_crypto_meta['key_id']['path'] and put_keys['id']['path']).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Feb 2019 13:38:08 +0100

swift (2.19.0-5) unstable; urgency=medium

  * Fix decryption of objects that sometimes is wrong.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 20:48:22 +0100

swift (2.19.0-3) unstable; urgency=medium

  * Add Breaks of older systemd without CacheDirectory support
  * Rename d/tests/control.autodep8 to d/tests/control.
  * d/copyright: Bump my copyright year.
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 17:41:50 +0100

swift (2.19.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Bump Standards-Version to 4.2.1

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 12:24:08 +0200

swift (2.19.0-1) experimental; urgency=medium

  * New upstream release
  * d/p/syslog_log_name.patch: Rebased
  * Add python-ipaddress to B-D and D
  * Add swift-ring-composer CLI

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Aug 2018 14:30:40 +0200

swift (2.18.0-1) experimental; urgency=medium

  * New upstream release
  * d/p/Fix_tests_using_O_TMPFILE.patch: Drop, applied upstream
  * d/p/syslog_log_name.patch: Rebased
  * Fix B-D for new upstream release
  * Add swift-object-relinker manpage
  * Add swift-container-sharder daemon and swift-manage-shard-ranges CLI
  * Enable autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 15:32:05 +0200

swift (2.17.0-5) unstable; urgency=medium

  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Don't use has_key, which is deprecated (Closes: #906413)
  * Really build docs with Python 3
  * Use LC_ALL=C.UTF-8 when building docs
  * Use SOURCE_DATE_EPOCH in docs to make build reproducible (again)
  * Bump standards version to 4.2.0 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 11:49:41 +0200
