## swift 2.19.2

=== debian/changelog ===
swift (2.19.2-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1853320).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:41:41 -0500

swift (2.19.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2019 15:18:26 +0000

swift (2.19.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1818068).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Feb 2019 15:48:01 -0500
