## swift 2.21.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 openstackdocstheme>=1.11.0 # Apache-2.0
 reno>=1.8.0  # Apache-2.0
 os-api-ref>=1.0.0 # Apache-2.0
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
