=== debian/changelog ===
swift (2.21.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Apr 2019 09:13:45 +0100

swift (2.20.0-0ubuntu2) disco; urgency=medium

  * d/control: Add python-keystonemiddleware to Depends (LP: #1815093).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Feb 2019 15:05:35 -0500

swift (2.20.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 12:43:00 -0500
