## swift 2.21.1

=== debian/changelog ===
swift (2.21.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * New stable point release for OpenStack Stein (LP: #1858934).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:48:39 -0500

swift (2.21.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 08 Apr 2019 14:29:45 +0000
