## swift 2.22.0~b1~git2019061305.aa2f1db1b

=== debian/changelog ===
swift (2.22.0~b1~git2019061305.aa2f1db1b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/swift-container.install: Wildcard install of swift-container-*
    binaries.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 15:13:13 +0100
