=== debian/control ===
--- 
+++ 
@@ -22,9 +22,10 @@
  libjerasure2,
  python-bandit (>= 1.1.0),
  python-boto (>= 2.32.1),
+ python-boto3 (>= 1.9),
  python-cffi,
  python-coverage (>= 3.6),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.0.2),
  python-dnspython (>= 1.14.0),
  python-docutils (>= 0.11),
  python-eventlet (>= 0.17.4),
@@ -38,8 +39,8 @@
  python-mock (>= 2.0),
  python-netifaces (>= 0.5),
  python-nose (>= 1.3.7),
+ python-nosehtmloutput (>= 0.0.3),
  python-nosexcover (>= 1.0.10),
- python-nosehtmloutput (>= 0.0.3),
  python-openstackclient (>= 3.12.0),
  python-openstackdocstheme (>= 1.17.0),
  python-os-api-ref (>= 1.0.0),
@@ -64,7 +65,7 @@
 Depends:
  adduser,
  libjerasure2,
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.0.2),
  python-dnspython (>= 1.14.0),
  python-eventlet (>= 0.17.4),
  python-greenlet (>= 0.4.10),
