=== debian/changelog ===
swift (2.22.0~b1~git2019071110.e62f07d98-0ubuntu3) eoan; urgency=medium

  * d/rules: Use pkgos-dh_auto_install to install Python 3 modules.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Jul 2019 11:48:40 -0400

swift (2.22.0~b1~git2019071110.e62f07d98-0ubuntu2) eoan; urgency=medium

  * d/control: Restore python-setuptools BDI for UCA backport.
  * d/p/skip-test-local-py36.patch, d/control: Skip locale test for Python
    3.6 as locale is not available by default in build environment.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jul 2019 14:05:49 -0400

swift (2.22.0~b1~git2019071110.e62f07d98-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control, d/rules, d/python(3)-swift*: Add support for Python 3
    and remove support for Python 2.
  * d/p/drop-ipaddress-requirement.patch: Drop ipaddress from requirements.txt.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jul 2019 10:14:31 -0400
