=== debian/control ===
--- 
+++ 
@@ -14,110 +14,110 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 23~),
- python-all,
- python-pbr,
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  libjerasure2,
- python-bandit (>= 1.1.0),
- python-boto (>= 2.32.1),
- python-boto3 (>= 1.9),
- python-cffi,
- python-coverage (>= 3.6),
- python-cryptography (>= 2.0.2),
- python-dnspython (>= 1.14.0),
- python-docutils (>= 0.11),
- python-eventlet (>= 0.17.4),
- python-fixtures (>= 3.0.0),
- python-greenlet (>= 0.4.10),
- python-hacking (>= 0.11.0),
- python-ipaddress (>= 1.0.16),
- python-keystoneclient (>= 1:2.0.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-mock (>= 2.0),
- python-netifaces (>= 0.5),
- python-nose (>= 1.3.7),
- python-nosehtmloutput (>= 0.0.3),
- python-nosexcover (>= 1.0.10),
- python-openstackclient (>= 3.12.0),
- python-openstackdocstheme (>= 1.17.0),
- python-os-api-ref (>= 1.0.0),
- python-os-testr (>= 1.0.0),
- python-pastedeploy (>= 1.3.3),
- python-pyeclib (>= 1.3.1),
- python-reno (>= 1.8.0),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-six (>= 1.9.0),
- python-swiftclient (>= 1:3.2.0),
- python-xattr (>= 0.4),
+ python3-bandit (>= 1.1.0),
+ python3-boto (>= 2.32.1),
+ python3-boto3 (>= 1.9),
+ python3-cffi,
+ python3-coverage (>= 3.6),
+ python3-cryptography (>= 2.0.2),
+ python3-dnspython (>= 1.14.0),
+ python3-docutils (>= 0.11),
+ python3-eventlet (>= 0.17.4),
+ python3-fixtures (>= 3.0.0),
+ python3-greenlet (>= 0.4.10),
+ python3-hacking (>= 0.11.0),
+ python3-keystoneclient (>= 1:2.0.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-mock (>= 2.0),
+ python3-netifaces (>= 0.5),
+ python3-nose (>= 1.3.7),
+ python3-nosehtmloutput (>= 0.0.3),
+ python3-nosexcover (>= 1.0.10),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstackdocstheme (>= 1.17.0),
+ python3-os-api-ref (>= 1.0.0),
+ python3-os-testr (>= 1.0.0),
+ python3-pastedeploy (>= 1.3.3),
+ python3-pyeclib (>= 1.3.1),
+ python3-reno (>= 1.8.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.9.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-testtools,
+ python3-xattr (>= 0.4),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/swift
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
 Testsuite: autopkgtest-pkg-python
 
-Package: python-swift
+Package: python3-swift
 Architecture: all
 Section: python
 Depends:
  adduser,
  libjerasure2,
- python-cryptography (>= 2.0.2),
- python-dnspython (>= 1.14.0),
- python-eventlet (>= 0.17.4),
- python-greenlet (>= 0.4.10),
- python-ipaddress (>= 1.0.16),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-netifaces (>= 0.5),
- python-pastedeploy (>= 1.3.3),
- python-pyeclib (>= 1.3.1),
- python-requests (>= 2.14.2),
- python-six (>= 1.9.0),
- python-xattr (>= 0.4),
- ${misc:Depends},
- ${python:Depends},
-Provides:
- ${python:Provides},
-Breaks:
- swift (<< 1.13.1~rc1-0ubuntu1~),
-Replaces:
- swift (<< 1.13.1~rc1-0ubuntu1~),
-Description: distributed virtual object store - Python libraries
- OpenStack Object Storage (code-named Swift) is open source software for
- creating redundant, scalable object storage using clusters of standardized
- servers to store petabytes of accessible data. It is not a file system or
- real-time data storage system, but rather a long-term storage system for a
- more permanent type of static data that can be retrieved, leveraged, and then
- updated if necessary. Primary examples of data that best fit this type of
- storage model are virtual machine images, photo storage, email storage and
- backup archiving. Having no central "brain" or master point of control
- provides greater scalability, redundancy and permanence.
- .
- Objects are written to multiple hardware devices in the data center, with
- the OpenStack software responsible for ensuring data replication and
- integrity across the cluster. Storage clusters can scale horizontally by
- adding new nodes. Should a node fail, OpenStack works to replicate its
- content from other active nodes. Because OpenStack uses software logic to
- ensure data replication and distribution across different devices,
- inexpensive commodity hard drives and servers can be used in lieu of more
- expensive equipment.
- .
- This package provides the Python libraries that actually implement
+ python3-cryptography (>= 2.0.2),
+ python3-dnspython (>= 1.14.0),
+ python3-eventlet (>= 0.17.4),
+ python3-greenlet (>= 0.4.10),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-netifaces (>= 0.5),
+ python3-pastedeploy (>= 1.3.3),
+ python3-pyeclib (>= 1.3.1),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.9.0),
+ python3-xattr (>= 0.4),
+ ${misc:Depends},
+ ${python3:Depends},
+Provides:
+ ${python3:Provides},
+Breaks:
+ swift (<< 1.13.1~rc1-0ubuntu1~),
+Replaces:
+ swift (<< 1.13.1~rc1-0ubuntu1~),
+Description: distributed virtual object store - Python 3 libraries
+ OpenStack Object Storage (code-named Swift) is open source software for
+ creating redundant, scalable object storage using clusters of standardized
+ servers to store petabytes of accessible data. It is not a file system or
+ real-time data storage system, but rather a long-term storage system for a
+ more permanent type of static data that can be retrieved, leveraged, and then
+ updated if necessary. Primary examples of data that best fit this type of
+ storage model are virtual machine images, photo storage, email storage and
+ backup archiving. Having no central "brain" or master point of control
+ provides greater scalability, redundancy and permanence.
+ .
+ Objects are written to multiple hardware devices in the data center, with
+ the OpenStack software responsible for ensuring data replication and
+ integrity across the cluster. Storage clusters can scale horizontally by
+ adding new nodes. Should a node fail, OpenStack works to replicate its
+ content from other active nodes. Because OpenStack uses software logic to
+ ensure data replication and distribution across different devices,
+ inexpensive commodity hard drives and servers can be used in lieu of more
+ expensive equipment.
+ .
+ This package provides the Python 3 libraries that actually implement
  everything.
 
 Package: swift
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ python3-swift (=${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Suggests:
  swift-bench,
 Description: distributed virtual object store - common files
@@ -145,13 +145,13 @@
 Package: swift-account
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
+ python3-swift (=${binary:Version}),
  rsync,
  ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
 Replaces:
@@ -181,13 +181,13 @@
 Package: swift-container
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
+ python3-swift (=${binary:Version}),
  rsync,
  ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
 Replaces:
@@ -245,13 +245,13 @@
 Package: swift-object
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
+ python3-swift (=${binary:Version}),
  rsync,
  ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
 Replaces:
@@ -281,12 +281,12 @@
 Package: swift-object-expirer
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ python3-swift (=${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
  swift-object (<< 1.12.0-0ubuntu2),
@@ -294,4 +294,3 @@
  swift (<< 1.13.1~rc1-0ubuntu1~),
  swift-object (<< 1.12.0-0ubuntu2),
 Description: distributed virtual object store - object expirer
- OpenStack Object Storage (code-named Swift) is open source software for
