=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
 https://tarballs.openstack.org/swift/ swift-(\d.*).tar.gz
