## swift 2.23.0

=== debian/changelog ===
swift (2.23.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:26:04 -0400

swift (2.22.0-0ubuntu2) eoan; urgency=medium

  * d/control: Add Breaks/Replaces on python-swift to ensure that
    upgrades from py2->py3 are handled correctly (LP: #1847576).

 -- James Page <james.page@ubuntu.com>  Thu, 10 Oct 2019 12:04:12 +0100

swift (2.22.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 15:15:04 +0100

swift (2.22.0~b2~git2019073018.d33e569be-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:52:11 +0200
